# @npmcorp/pui-css-viewport-panes

A CSS viewport-panes component that can be installed via this npm package. The package provides all of the
CSS you need to use the component.



## Installation

To install the package, from the command line, type:

```
npm install pui-css-viewport-panes
```

## Usage

```html
<div class="pane bg-dark-2 viewport-pane-long">
  <div class="container bg-glow">
    <h1 class="type-neutral-11">This is a long viewport pane. There should be just enough to see the fold under it.</h1>
  </div>
</div>
```

```html
<div class="pane bg-dark-2 viewport-pane">
  <div class="container bg-glow">
    <h1 class="type-neutral-11">This is a viewport pane. There should be enough to see content below it.</h1>
  </div>
</div>
```

```html
<div class="pane bg-dark-2">
  <div class="container bg-glow">
    <h1 class="type-neutral-11">This is a regular pane. It's here to show the other two's behavior.</h1>
  </div>
</div>
```


You can find more examples of the viewport-panes component in the [pui style guide](http://styleguide.pivotal.io/layout.html#pane)

*****************************************

This is a component of Pivotal UI. It is a Pivotal specific implementation of Bootstrap.

[Styleguide](http://styleguide.pivotal.io)
[Github](https://github.com/pivotal-cf/pivotal-ui)

(c) Copyright 2015 Pivotal Software, Inc. All Rights Reserved.